GNU bug report logs - #21532
11.88.8; Change environment feature don't works fine.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Orlando Iovino <orlando.iovino@HIDDEN>; Keywords: fixed; dated Tue, 22 Sep 2015 10:03:02 UTC; Maintainer for auctex is bug-auctex@HIDDEN.
Added tag(s) fixed. Request was from mose@HIDDEN (Mosè Giordano) to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2015 14:13:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 10:13:12 2015
Received: from localhost ([127.0.0.1]:41808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeOJj-0002fY-Gj
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 10:13:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39723)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJg-0002fO-3E
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 10:13:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJf-0001Fi-6Y
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 10:13:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38876)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJf-0001FY-4C
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 10:13:07 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49720)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJb-00054R-9v
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 10:13:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJX-00015d-42
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 10:13:03 -0400
Received: from plane.gmane.org ([80.91.229.3]:55486)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJW-00014L-Uv
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 10:12:59 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeOJP-0001Cd-FW
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 16:12:51 +0200
Received: from host232-174-dynamic.49-82-r.retail.telecomitalia.it
 ([82.49.174.232]) by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Tue, 22 Sep 2015 16:12:51 +0200
Received: from orlando.iovino by
 host232-174-dynamic.49-82-r.retail.telecomitalia.it with local (Gmexim 0.1
 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Tue, 22 Sep 2015 16:12:51 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-auctex@HIDDEN
From: Orlando Iovino <orlando.iovino@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
Date: Tue, 22 Sep 2015 16:12:37 +0200
Lines: 12
Message-ID: <vrivfv264k6i.fsf@HIDDEN>
References: <vriva8sehiw6.fsf@HIDDEN> <vriva8selnmv.fsf@HIDDEN>
 <87y4fyoeee.fsf@HIDDEN> <vriv4mimlk14.fsf@HIDDEN>
 <87pp1ao9od.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: host232-174-dynamic.49-82-r.retail.telecomitalia.it
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (cygwin)
Cancel-Lock: sha1:Lydm1spyTUG4OWXKR9pJCPAlLqw=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Tassilo Horn <tsdh@HIDDEN> writes:

> Well, it actually worked when point was on the \end but not when it was
> on the {itemize}.  I think I have fixed that now in the Git version.

Thank you so much!

> Bye,
> Tassilo

Bye,
OI





Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at 21532 <at> debbugs.gnu.org:


Received: (at 21532) by debbugs.gnu.org; 22 Sep 2015 13:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 09:39:17 2015
Received: from localhost ([127.0.0.1]:41426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeNmu-0001o5-Pl
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 09:39:17 -0400
Received: from deliver.uni-koblenz.de ([141.26.64.15]:42695)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1ZeNms-0001nw-SH
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 09:39:15 -0400
Received: from thinkpad-t440p (dhcp199.uni-koblenz.de [141.26.71.199])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 77D473D6007;
 Tue, 22 Sep 2015 15:39:14 +0200 (CEST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Orlando Iovino <orlando.iovino@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
References: <vriva8sehiw6.fsf@HIDDEN> <vriva8selnmv.fsf@HIDDEN>
 <87y4fyoeee.fsf@HIDDEN> <vriv4mimlk14.fsf@HIDDEN>
Date: Tue, 22 Sep 2015 15:39:14 +0200
In-Reply-To: <vriv4mimlk14.fsf@HIDDEN> (Orlando Iovino's message of "Tue, 22
 Sep 2015 14:23:51 +0200")
Message-ID: <87pp1ao9od.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 21532
Cc: 21532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Orlando Iovino <orlando.iovino@HIDDEN> writes:

>> I don't see what should be wrong with that behavior.  It changes the
>> nearest environment containing point, so if you want to change the
>> itemize, point has to be somewhere in that.
>
> It changes the environment when point is both inside and on the
> beginning line such as \begin{itemize}, but don't works if point is on
> \end{itemize} line.

Well, it actually worked when point was on the \end but not when it was
on the {itemize}.  I think I have fixed that now in the Git version.

> If this isn't a bug, my apologies :-)

It was a bug, I just didn't understand the problem at first.

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at 21532 <at> debbugs.gnu.org:


Received: (at 21532) by debbugs.gnu.org; 22 Sep 2015 13:36:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 09:36:56 2015
Received: from localhost ([127.0.0.1]:41422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeNkd-0001kc-Oq
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 09:36:56 -0400
Received: from deliver.uni-koblenz.de ([141.26.64.15]:42587)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1ZeNkZ-0001kQ-3M
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 09:36:52 -0400
Received: from thinkpad-t440p (dhcp199.uni-koblenz.de [141.26.71.199])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 19EC03D6007;
 Tue, 22 Sep 2015 15:36:49 +0200 (CEST)
From: Tassilo Horn <tsdh@HIDDEN>
To: =?utf-8?Q?Mos=C3=A8?= Giordano <mose@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
References: <vriva8sehiw6.fsf@HIDDEN> <vriva8selnmv.fsf@HIDDEN>
 <87y4fyoeee.fsf@HIDDEN>
 <CAKtYQqSqCXBJ984BDVYJtCw2EON33N1Ej2LyqUKJv4bdQOJS9w@HIDDEN>
Date: Tue, 22 Sep 2015 15:36:48 +0200
In-Reply-To: <CAKtYQqSqCXBJ984BDVYJtCw2EON33N1Ej2LyqUKJv4bdQOJS9w@HIDDEN>
 (=?utf-8?Q?=22Mos=C3=A8?= Giordano"'s message of "Tue, 22 Sep 2015 14:22:17
 +0200")
Message-ID: <87twqmo9sf.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 21532
Cc: 21532 <at> debbugs.gnu.org, Orlando Iovino <orlando.iovino@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Mos=C3=A8 Giordano <mose@HIDDEN> writes:

>>>> else. If the mouse cursor is on \end{document} and I digit 'C-u C-c
>>>> C-e', AUCTeX will change the minipage environment.
>>> Sorry: I meant \end{minipage}.
>>
>> I don't see what should be wrong with that behavior.  It changes the
>> nearest environment containing point, so if you want to change the
>> itemize, point has to be somewhere in that.
>
> I agree that it's safer to stay *inside* an environment to change it,
> but there is a mismatch between what (LaTeX-current-environment)
> returns when point is on environment name in "\end{environment}" and
> which environment is actually changed.

I think that has been a problem in `LaTeX-find-matching-end' which I
have fixed right now.

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at 21532 <at> debbugs.gnu.org:


Received: (at 21532) by debbugs.gnu.org; 22 Sep 2015 12:36:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 08:36:12 2015
Received: from localhost ([127.0.0.1]:41345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeMns-0000Fi-5f
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:36:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34678)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mose@HIDDEN>) id 1ZeMnp-0000FZ-Ol
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:36:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mose@HIDDEN>) id 1ZeMnf-00071H-6r
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:36:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:59699)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mose@HIDDEN>)
 id 1ZeMnf-0006cY-2C
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:35:59 -0400
Received: from mail-wi0-f175.google.com ([209.85.212.175]:34079)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_ARCFOUR_SHA1:128)
 (Exim 4.82) (envelope-from <mose@HIDDEN>) id 1ZeMb4-0003oN-29
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:22:58 -0400
Received: by wicfx3 with SMTP id fx3so189219569wic.1
 for <21532 <at> debbugs.gnu.org>; Tue, 22 Sep 2015 05:22:57 -0700 (PDT)
X-Received: by 10.180.103.35 with SMTP id ft3mr20579475wib.60.1442924577080;
 Tue, 22 Sep 2015 05:22:57 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.28.152.10 with HTTP; Tue, 22 Sep 2015 05:22:17 -0700 (PDT)
In-Reply-To: <87y4fyoeee.fsf@HIDDEN>
References: <vriva8sehiw6.fsf@HIDDEN> <vriva8selnmv.fsf@HIDDEN>
 <87y4fyoeee.fsf@HIDDEN>
From: =?UTF-8?Q?Mos=C3=A8_Giordano?= <mose@HIDDEN>
Date: Tue, 22 Sep 2015 14:22:17 +0200
Message-ID: <CAKtYQqSqCXBJ984BDVYJtCw2EON33N1Ej2LyqUKJv4bdQOJS9w@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
To: Tassilo Horn <tsdh@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21532
Cc: 21532 <at> debbugs.gnu.org, Orlando Iovino <orlando.iovino@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

2015-09-22 13:57 GMT+02:00 Tassilo Horn <tsdh@HIDDEN>:
> Orlando Iovino <orlando.iovino@HIDDEN> writes:
>
>>> else. If the mouse cursor is on \end{document} and I digit 'C-u C-c
>>> C-e', AUCTeX will change the minipage environment.
>> Sorry: I meant \end{minipage}.
>
> I don't see what should be wrong with that behavior.  It changes the
> nearest environment containing point, so if you want to change the
> itemize, point has to be somewhere in that.

I agree that it's safer to stay *inside* an environment to change it,
but there is a mismatch between what (LaTeX-current-environment)
returns when point is on environment name in "\end{environment}" and
which environment is actually changed.

Bye,
Mos=C3=A8




Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2015 12:24:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 08:24:21 2015
Received: from localhost ([127.0.0.1]:41341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeMcO-0008Pz-SF
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:24:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60186)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcM-0008Pp-Fv
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:24:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcL-0000a5-CK
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:24:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54030)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcL-0000Zm-8K
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 08:24:17 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41956)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcJ-0007qq-Vj
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 08:24:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcG-0000SL-SB
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 08:24:15 -0400
Received: from plane.gmane.org ([80.91.229.3]:47622)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcG-0000SD-L5
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 08:24:12 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeMcD-0005Fl-SJ
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 14:24:09 +0200
Received: from host232-174-dynamic.49-82-r.retail.telecomitalia.it
 ([82.49.174.232]) by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Tue, 22 Sep 2015 14:24:09 +0200
Received: from orlando.iovino by
 host232-174-dynamic.49-82-r.retail.telecomitalia.it with local (Gmexim 0.1
 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Tue, 22 Sep 2015 14:24:09 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-auctex@HIDDEN
From: Orlando Iovino <orlando.iovino@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
Date: Tue, 22 Sep 2015 14:23:51 +0200
Lines: 17
Message-ID: <vriv4mimlk14.fsf@HIDDEN>
References: <vriva8sehiw6.fsf@HIDDEN> <vriva8selnmv.fsf@HIDDEN>
 <87y4fyoeee.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: host232-174-dynamic.49-82-r.retail.telecomitalia.it
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (cygwin)
Cancel-Lock: sha1:D9p8NuMwJizdjlHBOvkiZ4kz6sk=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Tassilo Horn <tsdh@HIDDEN> writes:

> I don't see what should be wrong with that behavior.  It changes the
> nearest environment containing point, so if you want to change the
> itemize, point has to be somewhere in that.

It changes the environment when point is both inside and on
the beginning line such as \begin{itemize}, but don't works if point is
on \end{itemize} line.

If this isn't a bug, my apologies :-)

> Bye,
> Tassilo

Bye,
OI





Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at 21532 <at> debbugs.gnu.org:


Received: (at 21532) by debbugs.gnu.org; 22 Sep 2015 11:57:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 07:57:17 2015
Received: from localhost ([127.0.0.1]:41321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeMCD-0007ir-5C
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 07:57:17 -0400
Received: from deliver.uni-koblenz.de ([141.26.64.15]:38192)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1ZeMCB-0007ii-Hf
 for 21532 <at> debbugs.gnu.org; Tue, 22 Sep 2015 07:57:16 -0400
Received: from thinkpad-t440p (dhcp199.uni-koblenz.de [141.26.71.199])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 262BF3D6005;
 Tue, 22 Sep 2015 13:57:14 +0200 (CEST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Orlando Iovino <orlando.iovino@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
References: <vriva8sehiw6.fsf@HIDDEN> <vriva8selnmv.fsf@HIDDEN>
Date: Tue, 22 Sep 2015 13:57:13 +0200
In-Reply-To: <vriva8selnmv.fsf@HIDDEN> (Orlando Iovino's message of "Tue, 22
 Sep 2015 13:06:00 +0200")
Message-ID: <87y4fyoeee.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 21532
Cc: 21532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Orlando Iovino <orlando.iovino@HIDDEN> writes:

>> else. If the mouse cursor is on \end{document} and I digit 'C-u C-c
>> C-e', AUCTeX will change the minipage environment.
> Sorry: I meant \end{minipage}.

I don't see what should be wrong with that behavior.  It changes the
nearest environment containing point, so if you want to change the
itemize, point has to be somewhere in that.

Bye,
Tassilo




Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2015 11:30:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 07:30:21 2015
Received: from localhost ([127.0.0.1]:41301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeLm8-0005d2-Er
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 07:30:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45340)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLm5-0005ZM-O7
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 07:30:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLm3-0001mt-Ku
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 07:30:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58794)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLm3-0001mp-J3
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 07:30:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55336)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLlz-0000O5-PA
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 07:30:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLlu-0001c1-Uv
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 07:30:11 -0400
Received: from plane.gmane.org ([80.91.229.3]:45012)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLlu-0001YX-PN
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 07:30:06 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
 (envelope-from <geab-bug-auctex@HIDDEN>) id 1ZeLlt-0005II-4g
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 13:30:05 +0200
Received: from host232-174-dynamic.49-82-r.retail.telecomitalia.it
 ([82.49.174.232]) by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
 id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Tue, 22 Sep 2015 13:30:05 +0200
Received: from orlando.iovino by
 host232-174-dynamic.49-82-r.retail.telecomitalia.it with local (Gmexim 0.1
 (Debian)) id 1AlnuQ-0007hv-00
 for <bug-auctex@HIDDEN>; Tue, 22 Sep 2015 13:30:05 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-auctex@HIDDEN
From: Orlando Iovino <orlando.iovino@HIDDEN>
Subject: Re: bug#21532: 11.88.8; Change environment feature don't works fine.
Date: Tue, 22 Sep 2015 13:06:00 +0200
Lines: 8
Message-ID: <vriva8selnmv.fsf@HIDDEN>
References: <vriva8sehiw6.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: host232-174-dynamic.49-82-r.retail.telecomitalia.it
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (cygwin)
Cancel-Lock: sha1:ETWZ/wTvdKErVv36VqxCm3G7H6I=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Orlando Iovino <orlando.iovino@HIDDEN> writes:

> else. If the mouse cursor is on \end{document} and I digit 'C-u C-c

Sorry: I meant \end{minipage}.

Thanks,
OI





Information forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2015 10:02:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 06:02:19 2015
Received: from localhost ([127.0.0.1]:41261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZeKOx-0002w6-0P
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 06:02:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46717)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <orlando.iovino@HIDDEN>) id 1ZeKOu-0002vw-Sd
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 06:02:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <orlando.iovino@HIDDEN>) id 1ZeKOt-0005GT-4P
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 06:02:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39999)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <orlando.iovino@HIDDEN>) id 1ZeKOt-0005GM-2F
 for submit <at> debbugs.gnu.org; Tue, 22 Sep 2015 06:02:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56704)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <orlando.iovino@HIDDEN>) id 1ZeKOr-0004Ip-ND
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 06:02:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <orlando.iovino@HIDDEN>) id 1ZeKOm-0005CL-H9
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 06:02:13 -0400
Received: from nm1-vm4.bullet.mail.ir2.yahoo.com ([212.82.96.75]:55929)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <orlando.iovino@HIDDEN>) id 1ZeKOm-0005Bk-7F
 for bug-auctex@HIDDEN; Tue, 22 Sep 2015 06:02:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.it; s=s2048;
 t=1442916125; bh=UPQq+EUU/zHFfPHMvesaOAhldAGyrRWP4oUxyBoLvzA=;
 h=From:To:Subject:Date:From:Subject;
 b=YdrIoIf30AXEFP+ZTZnf+58ZIXUKyHrQfbk0QUOmMkl6zMPsyzNBjdoE0l7qxZmeakhKkSDzcguBwlNVWCvRZXERcraGZP/Kj1twf+kaAYxakhggAs1HMmDjA19g/o5CI0hdstfNf8nS5ISvbZi9t2sV+K/FZJ1qTSRV7PWilqqZhqtkga6MwKwFFyuoyfcKuSGAtyimpwpue483TyYkjiT9L+kwg2ENQQ5+krDXMsZz6aHHvQE97eCQMnbUtMXloZSahVWafPkGrSBytH8DlxkCchpUeijOuIaUmQbAaPjvU24TWJ+Dq0GJ/aIHSb6y5mDlg8ruiGUCwOhZjXD7mQ==
Received: from [212.82.98.52] by nm1.bullet.mail.ir2.yahoo.com with NNFMP;
 22 Sep 2015 10:02:05 -0000
Received: from [46.228.39.81] by tm5.bullet.mail.ir2.yahoo.com with NNFMP;
 22 Sep 2015 10:02:05 -0000
Received: from [127.0.0.1] by smtp118.mail.ir2.yahoo.com with NNFMP;
 22 Sep 2015 10:02:05 -0000
X-Yahoo-Newman-Id: 824592.89908.bm@HIDDEN
X-Yahoo-Newman-Property: ymail-3
X-YMail-OSG: tW2cdmkVM1my_b1pfUXwDF8Xlzn5bYl4SNoaRslMHtZOAJi
 ABY9kTaFIpBi6duwCd3C3xJqHjikwamYElOlCTJCR0oMHI3dDNy32ShX__SI
 lmmv_AsCQL9Q2xCL_uFDIDExkL1_yplxbllbMLnfI976UxgunvlHpPVYTlPI
 .itJjg_WDoHkFNTv03BPY.wYHPuZk.Bij.NVcfLgn2zoo4DO4mfrUq5rXXim
 fSQ.EGAIPyIers0LqdZUzLxbb3P7JEVAlbU2CwH374Y5vnxfrCla7ZdkEhuX
 4dkbNJjepHWIuHi1_zYg0lG46b_7nQ3vS.7VqZ726oeEskSUXYh2.izwbyVv
 slXy03OkPTG3a.hd.z1SoQoCCRoL8T42tRdjHbGzEbWQN3VigIhANrmnBzet
 1qehRbedY_INiJZBzFDBNV_qIsXibTs9j9ev67VjF_q7cNaXdtrBr2n_Uzta
 wplFmNp5hyNcOY2salyal6rBsdzqRPDSGdcGXVNRBJ936Z98mRs_OVXMb7o4
 9jrSHUxNLyYCiyuqwn52OdxtSyuMa0RpSjG7ftjhG4AUubNTV22i4X0Exz4Y
 TazrEq5tPsfRSPg1N3A--
X-Yahoo-SMTP: kTG1Z_eswBBxp4QE6nArp_NriP1hiax29D6V
From: Orlando Iovino <orlando.iovino@HIDDEN>
To: bug-auctex@HIDDEN
Subject: 11.88.8; Change environment feature don't works fine.
Date: Tue, 22 Sep 2015 12:02:01 +0200
Message-ID: <vriva8sehiw6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (cygwin)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Remember to cover the basics, that is, what you expected to happen and
what in fact did happen.

Be sure to consult the FAQ section in the manual before submitting
a bug report.  In addition check if the bug is reproducable with an
up-to-date version of AUCTeX.  So please upgrade to the version
available from http://www.gnu.org/software/auctex/ if your
installation is older than the one available from the web site.

If the bug is triggered by a specific (La)TeX file, you should try
to produce a minimal sample file showing the problem and include it
in your report.

Your report will be posted for the auctex package at the GNU bug
tracker.  Visit http://debbugs.gnu.org/cgi/pkgreport.cgi?pkg=auctex
to browse existing AUCTeX bugs.
------------------------------------------------------------------------

Dear Developers,

Let consider following MWE

--8<---------------cut here---------------start------------->8---
\documentclass{article}

\begin{document}

\begin{minipage}{1.0\linewidth}
  \begin{itemize}
  \item One
  \item Two
  \item Three
  \end{itemize}
\end{minipage}

\end{document}
--8<---------------cut here---------------end--------------->8---

and let suppose we want to change itemize environment with anything
else. If the mouse cursor is on \end{document} and I digit 'C-u C-c
C-e', AUCTeX will change the minipage environment.

Thanks in advance!
OI


Emacs  : GNU Emacs 24.5.1 (i686-pc-mingw32)
 of 2015-04-11 on LEG570
Package: 11.88.8

current state:
==============
(setq
 AUCTeX-date "2015-08-28"
 window-system 'w32
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
		  "c:/Users/Orlando/AppData/Roaming/.emacs.d/elpa/auctex-11.88.8/style" "c:/Users/Orlando/AppData/Roaming/.emacs.d/auctex/auto" "c:/Users/Orlando/AppData/Roaming/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil
		     (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil
		     (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile
		     nil (texinfo-mode) :help "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX"
		     "%(PDF)amstex %(extraopts) %`%S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt"
		     "texexec --once --texutil %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "texexec %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
		     "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help
		     "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help
		     "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-command t t :help
		     "Generate PostScript file")
		    ("Index" "makeindex %s" TeX-run-command nil t :help
		     "Create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil
		     (latex-mode) :help
		     "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function
		     nil t :help "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help
		     "Run an arbitrary command")
		    )
 )




Acknowledgement sent to Orlando Iovino <orlando.iovino@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#21532; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 Jan 2017 20:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.